clear;
XX = csvread('wdbc.csv');
X = XX(:,3:end);
L = XX(:,2)+1;

% X has the data, 30 coordinates per data point. Each datapoint consists of
% 3 cell nucleus and Ten real-valued features are computed for each cell nucleus: 
% 
% a) radius (mean of distances from center to points on the perimeter) 
% b) texture (standard deviation of gray-scale values) 
% c) perimeter 
% d) area 
% e) smoothness (local variation in radius lengths) 
% f) compactness (perimeter^2 / area - 1.0) 
% g) concavity (severity of concave portions of the contour) 
% h) concave points (number of concave portions of the contour) 
% i) symmetry 
% j) fractal dimension ("coastline approximation" - 1)
% 

'Data read into data matrix X, labels stored in L'
pause;

'Single link clustering'

% compute the single linkage tree
Z = linkage(X,'single','euclidean');



% assign clusters for K = 2 using the tree
c_slink = cluster(Z,'maxclust',2);


pause;
'K-means clustering'
% k-means clustering for K=2
c_kmeans = kmeans(X,2);





